i2o_dma_alloc
Prev | I2O message devices | Next

## Name

i2o_dma_alloc — Allocate DMA memory

## Synopsis

`int i2o_dma_alloc (` | struct device * | dev,
| struct i2o_dma * | addr,
| size_t | len,
| gfp_t | gfp_mask`)`;

## Arguments

`dev`

  struct device pointer to the PCI device of the I2O controller

`addr`

  i2o_dma struct which should get the DMA buffer

`len`

  length of the new DMA memory

`gfp_mask`

  GFP mask

## Description

Allocate a coherent DMA memory and write the pointers into addr.

Returns 0 on success or -ENOMEM on failure.

Prev | Up | Next
i2o_dma_map_sg | Home | i2o_dma_free